Bug Hunting Session
Bug 111795 - Special character preview control should have border and background color
Summary: Special character preview control should have border and background color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-08-14 09:23 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-07 08:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Border enabled (30.82 KB, image/png)
2017-08-20 18:28 UTC, Heiko Tietze
Details
...and with background (7.18 KB, image/jpeg)
2017-08-24 18:01 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-08-14 09:23:30 UTC
The preview shouldnt utilize the background color of the dialog and it should have a border around the control.

Dark theme - attachment 134736 [details]
Comment 1 Heiko Tietze 2017-08-20 18:28:12 UTC
Created attachment 135674 [details]
Border enabled

Is that what you wanted, Jay?

(https://gerrit.libreoffice.org/#/c/41356/)
Comment 2 Yousuf Philips (jay) (retired) 2017-08-21 10:04:14 UTC
(In reply to Heiko Tietze from comment #1)
> Created attachment 135674 [details]
> Border enabled
> 
> Is that what you wanted, Jay?

Correct background color isnt done.
Comment 3 Commit Notification 2017-08-23 21:45:05 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=890e1fb5c97a6d7eab7b0ce8692d25b43c36e975

tdf#111795 - Special character preview control should have border

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2017-08-24 18:01:40 UTC
Created attachment 135771 [details]
...and with background
Comment 5 Commit Notification 2017-08-24 22:02:30 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d74698f407de0b02826777d5cb3f5aca2fd50f1

tdf#111795 - Special character preview control background color

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.